Subject: bug#9350: 23.3; File menu should contain "split window horizontally C-x 3"

From: Juri Linkov <[email-masked]>
Date: Sun, 23 Oct 2011 16:29:04 +0300

> I'd eventually want to rename `split-window' to `new-window' or
> `make-new-window' and give it a fourth argument - the buffer to show in
> the new window.

Isn't this semantically equivalent to `switch-to-buffer-other-window'?

And since this bug report is about menu items, another question:
after shifting the emphasis from windows/frames to just places where
to display buffers, wouldn't it make more sense to move window/frame
related menu items from the "File" menu to the "Buffers" menu?

This will also balance these menus where the "File" menu is
currently overpopulated, and the size of the "Buffers" menu
is limited anyway (later it could be organized into submenus
grouped by modes etc.)